# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "fast-steal"
version = "6.3.1"
authors = [
    "share121 <me@s121.top>",
    "Cyan Changes <contact@cyans.me>",
]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "特别快的多线程任务调度器，支持超细颗粒度的任务窃取"
homepage = "https://github.com/fast-down/core"
documentation = "https://docs.rs/fast-steal"
readme = "README.md"
keywords = [
    "concurrency",
    "no-std",
    "parallel",
    "performance",
    "thread",
]
categories = [
    "concurrency",
    "no-std",
]
license = "MIT"
repository = "https://github.com/fast-down/core"

[lib]
name = "fast_steal"
path = "src/lib.rs"

[dependencies.parking_lot]
version = "0.12.5"

[dependencies.portable-atomic]
version = "1.13.1"

[dev-dependencies.tokio]
version = "1.49.0"
features = [
    "macros",
    "rt-multi-thread",
]
default-features = false
